<?php

class landingsBlockHelloWorld extends landingsBlock
{
	static public function getInfo()
    {
        return array(
            'code' => 'helloWorld', // Идентификатор блока, горбатым стилем
            'type' => self::TYPE_CONTENT, // Тип блока
            'name' => 'Мой супер-блок', // Имя блока
            'description' => 'Будет делать все, что нужно, когда мы закончим с ним', // Описание блока
            'icon' => wa()->getAppStaticUrl('landings').'plugins/tblock/img/hello-world.png', // URL логотипа блока, 96x96px
        );
    }
	
	// Указывает блоку использовать файл ​​/tblock/templates/blocks/helloWorld/Settings.html как настройки
	public function getSettingsTemplatePath()
	{
		if(!$this->exists()) {return wa()->getAppPath('templates/blocks/default/Settings.html', 'landings');}
		$path = wa()->getAppPath('plugins/tblock/templates/blocks/'.$this->data['code'].'/Settings.html', 'landings');
		if(!file_exists($path)) {return wa()->getAppPath('templates/blocks/default/Settings.html', 'landings');}
		return $path;
	}
	
	// Указывает блоку использовать файл ​​/tblock/templates/blocks/helloWorld/Frontend.html как настройки
	public function getFrontendTemplatePath()
	{
		if(!$this->exists()) {return wa()->getAppPath('templates/blocks/default/Frontend.html', 'landings');}
		return wa()->getAppPath('plugins/tblock/templates/blocks/'.$this->data['code'].'/Frontend.html', 'landings');
	}
	
	// Указывает блоку использовать файл ​​/tblock/css/blocks/helloWorld/frontend.css как css-файл фронтенда
	public function getFrontendCssPath()
	{
		if(!$this->exists()) {return wa()->getAppPath('css/blocks/default/frontend.css', 'landings');}
		return wa()->getAppPath('plugins/tblock/css/blocks/'.$this->data['code'].'/frontend.css', 'landings');
	}
	
	// Указывает блоку использовать файл ​​/tblock/js/blocks/helloWorld/frontend.js как js-файл фронтенда
	public function getFrontendJsPath()
	{
		if(!$this->exists()) {return wa()->getAppPath('js/blocks/default/frontend.js', 'landings');}
		return wa()->getAppPath('plugins/tblock/js/blocks/'.$this->data['code'].'/frontend.js', 'landings');
	}
}